#pragma once


// CSystemDlg 对话框

class CSystemDlg : public CDialog
{
	DECLARE_DYNAMIC(CSystemDlg)

public:
	CSystemDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CSystemDlg();

// 对话框数据
	enum { IDD = IDD_DLG_SYSTEM };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

public:
	UINT m_uiCardNumber;
	UINT m_uiVideoMode;
	void SysRestore();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPal();
	afx_msg void OnBnClickedNtsc();
	afx_msg void OnBnClickedVideoSyncInternal();
	afx_msg void OnBnClickedVideoSyncCvbs1();
	afx_msg void OnBnClickedVideoSyncSvideo();
	afx_msg void OnBnClickedVideoSyncYuv();
	afx_msg void OnBnClickedVideoSourceCvbs1();
	afx_msg void OnBnClickedVideoSourceSvideo();
	afx_msg void OnBnClickedVideoSourceYuv();
	afx_msg void OnBnClickedVideoSourceAsi();
	afx_msg void OnBnClickedAudioSourceRca();
	afx_msg void OnBnClickedAudioRelayLoopback();
	afx_msg void OnBnClickedAudioRelayNormal();
	afx_msg void OnBnClickedCheckLockRat();
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedVideoSyncGenlock();
	afx_msg void OnBnClickedAudioSourceXlr();
	afx_msg void OnBnClickedAudioRelayLoopbackXlr();
	afx_msg void OnBnClickedAudioRelayNormalXlr();
	afx_msg void OnBnClickedVideoRelayLoopbackCvbs();
	afx_msg void OnBnClickedVideoRelayNormalCvbs();
	afx_msg void OnBnClickedVideoRelayLoopbackAsi();
	afx_msg void OnBnClickedVideoRelayNormalAsi();
	afx_msg void OnBnClickedRadioAsiPacketLengh188();
	afx_msg void OnBnClickedRadioAsiPacketLengh204();
};
